---
title: CSSTransformComponent.is2D
slug: Web/API/CSSTransformComponent/is2D
tags:
  - API
  - CSS Typed Object Model API
  - CSSTransformComponent
  - Experimental
  - Houdini
  - Property
  - Reference
  - is2D
---
<div>{{APIRef("CSS Typed OM")}}{{SeeCompatTable}}{{draft}}</div>

<p class="summary">The read-only <strong><code>is2D</code></strong> property of the {{domxref("CSSTransformComponent")}} interface indicates where the transform is 2D or 3D.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <var>is2D</var> = CSSTransformComponent.is2D;</pre>

<h3 id="Return_value">Return value</h3>

<p>A boolean. True indicating the transform is a 2D transform, false if it is a 3D transform.</p>

<h2 id="Examples">Examples</h2>

<p>To Do</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS Typed OM','#dom-csstransformcomponent-is2d','is2D')}}</td>
   <td>{{Spec2('CSS Typed OM')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSTransformComponent.is2D")}}</p>
